## alfred 2023.0

=== debian/changelog ===
alfred (2023.0-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Thu, 26 Jan 2023 18:50:36 +0100

=== debian/control ===
Source: alfred
Section: net
Priority: optional
Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
Uploaders:
 Steffen Moeller <moeller@debian.org>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.open-mesh.org/projects/alfred/wiki
Vcs-Git: https://salsa.debian.org/communitywlan-team/alfred.git -b debian/unstable
Vcs-Browser: https://salsa.debian.org/communitywlan-team/alfred
Build-Depends:
 debhelper-compat (= 13),
 libcap-dev [linux-any],
 libgps-dev (>= 3.20),
 libnl-3-dev,
 libnl-genl-3-dev,
 pkg-config,

Package: alfred
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 graphviz,
Description: Almighty Lightweight Fact Remote Exchange Daemon
 A.L.F.R.E.D. gathers status information in networks with dynamically
 chaing topologies, e.g. a Wifi mesh with mobile clients. It is a
 user space daemon for distributing arbitrary local information
 over the same mesh/network in a decentralized fashion. This data
 can be anything which appears to be useful - originally designed
 to replace the batman-adv visualization (vis), you may distribute
 hostnames, phone books, administration information, DNS information,
 the local weather forecast ...
 .
 Users may insert information by using the alfred binary on the command
 line, or use custom written programs to communicate with alfred directly
 through unix sockets. Once the local data is received, the alfred
 daemon takes care of distributing this information to other alfred
 servers on other nodes somewhere in the network. As addressing scheme
 IPv6 link-local multicast addresses are used which do not require any
 manual configuration. A user can request data from alfred, and will
 receive the information available from all alfred servers in the network.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildtools.mk
include /usr/share/dpkg/pkg-info.mk

export PKG_CONFIG ?= pkg-config
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -fdata-sections -ffunction-sections -flto
export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--gc-sections

MAKEOPTIONS = V="1" REVISION="debian-$(DEB_VERSION)" PREFIX="/usr"

ifneq ($(shell dpkg-architecture -qDEB_TARGET_ARCH_OS),linux)
MAKEOPTIONS += CONFIG_ALFRED_CAPABILITIES=n
endif

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(MAKEOPTIONS)

override_dh_auto_install:
	dh_auto_install -- $(MAKEOPTIONS)

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	override_dh_auto_build override_dh_auto_install override_dh_installchangelogs

## alfred 2023.2

=== debian/changelog ===
alfred (2023.2-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Wed, 16 Aug 2023 22:41:37 +0200

alfred (2023.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Wed, 21 Jun 2023 09:48:09 +0200

alfred (2023.1-1) experimental; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Sat, 27 May 2023 11:10:29 +0200

## alfred 2024.0

=== debian/changelog ===
alfred (2024.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:08:25 +1100

alfred (2024.0-1build1) noble; urgency=high

  * No change rebuild against libgps30t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:48:29 +0100

alfred (2024.0-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Fri, 02 Feb 2024 21:26:37 +0100

alfred (2023.3-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Fri, 17 Nov 2023 20:03:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: alfred
 Section: net
 Priority: optional
-Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
 Uploaders:
  Steffen Moeller <moeller@debian.org>,
 Standards-Version: 4.6.2

## alfred 2024.1

=== debian/changelog ===
alfred (2024.1-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version
  * debian/rules:
    - Use DEB_BUILD_MAINT_OPTIONS to set lto flags
    - Use DEB_BUILD_MAINT_OPTIONS to set lfs flag
  * debian/control:
    - Replace pkg-config with pkgconf

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Apr 2024 10:05:37 +0200

## alfred 2024.2

=== debian/changelog ===
alfred (2024.2-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Sat, 22 Jun 2024 17:17:23 +0200

## alfred 2024.3

=== debian/changelog ===
alfred (2024.3-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 Oct 2024 10:25:43 +0200

## alfred 2024.4

=== debian/changelog ===
alfred (2024.4-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Tue, 10 Dec 2024 21:42:34 +0100

## alfred 2025.0

=== debian/changelog ===
alfred (2025.0-2) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.7.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 01 Mar 2025 20:57:31 +0100

alfred (2025.0-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Fri, 07 Feb 2025 11:30:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: alfred
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
+Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
 Uploaders:
  Steffen Moeller <moeller@debian.org>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.open-mesh.org/projects/alfred/wiki
 Vcs-Git: https://salsa.debian.org/communitywlan-team/alfred.git -b debian/unstable
@@ -16,7 +15,7 @@
  libgps-dev (>= 3.20),
  libnl-3-dev,
  libnl-genl-3-dev,
- pkg-config,
+ pkgconf,
 
 Package: alfred
 Architecture: any

## alfred 2025.2

=== debian/changelog ===
alfred (2025.2-1) experimental; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Thu, 19 Jun 2025 00:06:01 +0200

alfred (2025.1-1) experimental; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Mon, 21 Apr 2025 17:18:37 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.open-mesh.org/projects/alfred/wiki
-Vcs-Git: https://salsa.debian.org/communitywlan-team/alfred.git -b debian/unstable
+Vcs-Git: https://salsa.debian.org/communitywlan-team/alfred.git -b debian/experimental
 Vcs-Browser: https://salsa.debian.org/communitywlan-team/alfred
 Build-Depends:
  debhelper-compat (= 13),

## alfred 2025.3

=== debian/changelog ===
alfred (2025.3-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Sep 2025 15:24:30 +0200

## alfred 2025.4

=== Makefile ===
#!/usr/bin/make -f
# SPDX-License-Identifier: GPL-2.0
# -*- makefile -*-
#
# Copyright (C) B.A.T.M.A.N. contributors
#
# License-Filename: LICENSES/preferred/GPL-2.0

# alfred build
BINARY_NAME = alfred
OBJ += batadv_query.o
OBJ += batadv_querynl.o
OBJ += client.o
OBJ += hash.o
OBJ += main.o
OBJ += netlink.o
OBJ += netsock.o
OBJ += recv.o
OBJ += send.o
OBJ += server.o
OBJ += unix_sock.o
OBJ += util.o
MANPAGE = man/alfred.8

# alfred flags and options
CFLAGS += -pedantic -Wall -W -std=gnu99 -fno-strict-aliasing -MD -MP
CPPFLAGS += -D_GNU_SOURCE
LDLIBS += -lrt

# Turn on alfred capability dropping by default - set this to n if you don't want/need it
export CONFIG_ALFRED_CAPABILITIES=y

# disable verbose output
ifneq ($(findstring $(MAKEFLAGS),s),s)
ifndef V
	Q_CC = @echo '   ' CC $@;
	Q_LD = @echo '   ' LD $@;
	export Q_CC
	export Q_LD
endif
endif

# standard build tools
CC ?= gcc
RM ?= rm -f
INSTALL ?= install
MKDIR ?= mkdir -p
COMPILE.c = $(Q_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
LINK.o = $(Q_LD)$(CC) $(CFLAGS) $(LDFLAGS) $(TARGET_ARCH)

# standard install paths
PREFIX = /usr/local
SBINDIR = $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man

# try to generate revision
REVISION= $(shell	if [ -d .git ]; then \
				echo $$(git describe --always --dirty --match "v*" |sed 's/^v//' 2> /dev/null || echo "[unknown]"); \
			fi)
ifneq ($(REVISION),)
CPPFLAGS += -DSOURCE_VERSION=\"$(REVISION)\"
endif

ifneq ($(CONFIG_ALFRED_VIS),n)
	VIS_ALL=vis-all
	VIS_CLEAN=vis-clean
	VIS_INSTALL=vis-install
endif

ifneq ($(CONFIG_ALFRED_GPSD),n)
	GPSD_ALL=gpsd-all
	GPSD_CLEAN=gpsd-clean
	GPSD_INSTALL=gpsd-install
endif

ifeq ($(origin PKG_CONFIG), undefined)
  PKG_CONFIG = pkg-config
  ifeq ($(shell which $(PKG_CONFIG) 2>/dev/null),)
    $(error $(PKG_CONFIG) not found)
  endif
endif

ifeq ($(origin LIBNL_CFLAGS) $(origin LIBNL_LDLIBS), undefined undefined)
  LIBNL_NAME ?= libnl-3.0
  ifeq ($(shell $(PKG_CONFIG) --modversion $(LIBNL_NAME) 2>/dev/null),)
    $(error No $(LIBNL_NAME) development libraries found!)
  endif
  LIBNL_CFLAGS += $(shell $(PKG_CONFIG) --cflags $(LIBNL_NAME))
  LIBNL_LDLIBS +=  $(shell $(PKG_CONFIG) --libs $(LIBNL_NAME))
endif
CFLAGS += $(LIBNL_CFLAGS)
LDLIBS += $(LIBNL_LDLIBS)

ifeq ($(origin LIBNL_GENL_CFLAGS) $(origin LIBNL_GENL_LDLIBS), undefined undefined)
  LIBNL_GENL_NAME ?= libnl-genl-3.0
  ifeq ($(shell $(PKG_CONFIG) --modversion $(LIBNL_GENL_NAME) 2>/dev/null),)
    $(error No $(LIBNL_GENL_NAME) development libraries found!)
  endif
  LIBNL_GENL_CFLAGS += $(shell $(PKG_CONFIG) --cflags $(LIBNL_GENL_NAME))
  LIBNL_GENL_LDLIBS += $(shell $(PKG_CONFIG) --libs $(LIBNL_GENL_NAME))
endif
CFLAGS += $(LIBNL_GENL_CFLAGS)
LDLIBS += $(LIBNL_GENL_LDLIBS)

ifneq ($(CONFIG_ALFRED_CAPABILITIES),n)
  ifeq ($(origin LIBCAP_CFLAGS) $(origin LIBCAP_LDLIBS), undefined undefined)
    LIBCAP_NAME ?= libcap
    ifeq ($(shell $(PKG_CONFIG) --modversion $(LIBCAP_NAME) 2>/dev/null),)
      $(error No $(LIBCAP_NAME) development libraries found!)
    endif
    LIBCAP_CFLAGS += $(shell $(PKG_CONFIG) --cflags $(LIBCAP_NAME))
    LIBCAP_LDLIBS +=  $(shell $(PKG_CONFIG) --libs $(LIBCAP_NAME))
  endif
  CFLAGS += $(LIBCAP_CFLAGS)
  CPPFLAGS += -DCONFIG_ALFRED_CAPABILITIES
  LDLIBS += $(LIBCAP_LDLIBS)
endif


# default target
all: $(BINARY_NAME) $(VIS_ALL) $(GPSD_ALL)

# standard build rules
.SUFFIXES: .o .c
.c.o:
	$(COMPILE.c) -o $@ $<

$(BINARY_NAME): $(OBJ)
	$(LINK.o) $^ $(LDLIBS) -o $@

clean:	$(VIS_CLEAN) $(GPSD_CLEAN)
	$(RM) $(BINARY_NAME) $(OBJ) $(DEP)

install: $(BINARY_NAME) $(VIS_INSTALL) $(GPSD_INSTALL)
	$(MKDIR) $(DESTDIR)$(SBINDIR)
	$(MKDIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL) -m 0755 $(BINARY_NAME) $(DESTDIR)$(SBINDIR)
	$(INSTALL) -m 0644 $(MANPAGE) $(DESTDIR)$(MANDIR)/man8

vis-install:
	$(MAKE) -C vis install

vis-all:
	$(MAKE) -C vis all

vis-clean:
	$(MAKE) -C vis clean

gpsd-install:
	$(MAKE) -C gpsd install

gpsd-all:
	$(MAKE) -C gpsd all

gpsd-clean:
	$(MAKE) -C gpsd clean

# load dependencies
DEP = $(OBJ:.o=.d)
-include $(DEP)

.PHONY: all clean install vis-install vis-all vis-clean \
	gpsd-install gpsd-all gpsd-clean

=== gpsd/Makefile ===
#!/usr/bin/make -f
# SPDX-License-Identifier: GPL-2.0
# -*- makefile -*-
#
# Copyright (C) B.A.T.M.A.N. contributors
#
# License-Filename: LICENSES/preferred/GPL-2.0

# alfred-gpsd build
BINARY_NAME = alfred-gpsd
OBJ += alfred-gpsd.o
MANPAGE = man/alfred-gpsd.8

# alfred flags and options
CFLAGS += -pedantic -Wall -W -std=gnu99 -fno-strict-aliasing -MD -MP
CPPFLAGS += -D_GNU_SOURCE

# disable verbose output
ifneq ($(findstring $(MAKEFLAGS),s),s)
ifndef V
	Q_CC = @echo '   ' CC $@;
	Q_LD = @echo '   ' LD $@;
	export Q_CC
	export Q_LD
endif
endif

ifeq ($(origin PKG_CONFIG), undefined)
  PKG_CONFIG = pkg-config
  ifeq ($(shell which $(PKG_CONFIG) 2>/dev/null),)
    $(error $(PKG_CONFIG) not found)
  endif
endif

ifeq ($(origin LIBGPS_CFLAGS) $(origin LIBGPS_LDLIBS), undefined undefined)
  LIBGPS_NAME ?= libgps
  ifeq ($(shell $(PKG_CONFIG) --modversion $(LIBGPS_NAME) 2>/dev/null),)
    $(error No $(LIBGPS_NAME) development libraries found!)
  endif
  LIBGPS_CFLAGS += $(shell $(PKG_CONFIG) --cflags $(LIBGPS_NAME))
  LIBGPS_LDLIBS +=  $(shell $(PKG_CONFIG) --libs $(LIBGPS_NAME)) -lm
endif
CFLAGS += $(LIBGPS_CFLAGS)
LDLIBS += $(LIBGPS_LDLIBS)

# standard build tools
CC ?= gcc
RM ?= rm -f
INSTALL ?= install
MKDIR ?= mkdir -p
COMPILE.c = $(Q_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
LINK.o = $(Q_LD)$(CC) $(CFLAGS) $(LDFLAGS) $(TARGET_ARCH)

# standard install paths
PREFIX = /usr/local
SBINDIR = $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man

# try to generate revision
REVISION= $(shell	if [ -d ../.git ]; then \
				echo $$(git describe --always --dirty --match "v*" |sed 's/^v//' 2> /dev/null || echo "[unknown]"); \
			fi)
ifneq ($(REVISION),)
CPPFLAGS += -DSOURCE_VERSION=\"$(REVISION)\"
endif

# default target
all: $(BINARY_NAME)

# standard build rules
.SUFFIXES: .o .c
.c.o:
	$(COMPILE.c) -o $@ $<

$(BINARY_NAME): $(OBJ)
	$(LINK.o) $^ $(LDLIBS) -o $@

clean:
	$(RM) $(BINARY_NAME) $(OBJ) $(DEP)

install: $(BINARY_NAME)
	$(MKDIR) $(DESTDIR)$(SBINDIR)
	$(MKDIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL) -m 0755 $(BINARY_NAME) $(DESTDIR)$(SBINDIR)
	$(INSTALL) -m 0644 $(MANPAGE) $(DESTDIR)$(MANDIR)/man8

# load dependencies
DEP = $(OBJ:.o=.d)
-include $(DEP)

.PHONY: all clean install

=== vis/Makefile ===
#!/usr/bin/make -f
# SPDX-License-Identifier: GPL-2.0
# -*- makefile -*-
#
# Copyright (C) B.A.T.M.A.N. contributors
#
# License-Filename: LICENSES/preferred/GPL-2.0

# batadv-vis build
BINARY_NAME = batadv-vis
OBJ += netlink.o
OBJ += vis.o
MANPAGE = man/batadv-vis.8

# batadv-vis flags and options
CFLAGS += -pedantic -Wall -W -std=gnu99 -fno-strict-aliasing -MD -MP
CPPFLAGS += -D_GNU_SOURCE
LDLIBS += -lrt

# disable verbose output
ifneq ($(findstring $(MAKEFLAGS),s),s)
ifndef V
	Q_CC = @echo '   ' CC $@;
	Q_LD = @echo '   ' LD $@;
	export Q_CC
	export Q_LD
endif
endif

# standard build tools
CC ?= gcc
RM ?= rm -f
INSTALL ?= install
MKDIR ?= mkdir -p
COMPILE.c = $(Q_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
LINK.o = $(Q_LD)$(CC) $(CFLAGS) $(LDFLAGS) $(TARGET_ARCH)

# standard install paths
PREFIX = /usr/local
SBINDIR = $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man

# try to generate revision
REVISION= $(shell	if [ -d ../.git ]; then \
				echo $$(git describe --always --dirty --match "v*" |sed 's/^v//' 2> /dev/null || echo "[unknown]"); \
			fi)
ifneq ($(REVISION),)
CPPFLAGS += -DSOURCE_VERSION=\"$(REVISION)\"
endif

ifeq ($(origin PKG_CONFIG), undefined)
  PKG_CONFIG = pkg-config
  ifeq ($(shell which $(PKG_CONFIG) 2>/dev/null),)
    $(error $(PKG_CONFIG) not found)
  endif
endif

ifeq ($(origin LIBNL_CFLAGS) $(origin LIBNL_LDLIBS), undefined undefined)
  LIBNL_NAME ?= libnl-3.0
  ifeq ($(shell $(PKG_CONFIG) --modversion $(LIBNL_NAME) 2>/dev/null),)
    $(error No $(LIBNL_NAME) development libraries found!)
  endif
  LIBNL_CFLAGS += $(shell $(PKG_CONFIG) --cflags $(LIBNL_NAME))
  LIBNL_LDLIBS +=  $(shell $(PKG_CONFIG) --libs $(LIBNL_NAME))
endif
CFLAGS += $(LIBNL_CFLAGS)
LDLIBS += $(LIBNL_LDLIBS)

ifeq ($(origin LIBNL_GENL_CFLAGS) $(origin LIBNL_GENL_LDLIBS), undefined undefined)
  LIBNL_GENL_NAME ?= libnl-genl-3.0
  ifeq ($(shell $(PKG_CONFIG) --modversion $(LIBNL_GENL_NAME) 2>/dev/null),)
    $(error No $(LIBNL_GENL_NAME) development libraries found!)
  endif
  LIBNL_GENL_CFLAGS += $(shell $(PKG_CONFIG) --cflags $(LIBNL_GENL_NAME))
  LIBNL_GENL_LDLIBS += $(shell $(PKG_CONFIG) --libs $(LIBNL_GENL_NAME))
endif
CFLAGS += $(LIBNL_GENL_CFLAGS)
LDLIBS += $(LIBNL_GENL_LDLIBS)

# default target
all: $(BINARY_NAME)

# standard build rules
.SUFFIXES: .o .c
.c.o:
	$(COMPILE.c) -o $@ $<

$(BINARY_NAME): $(OBJ)
	$(LINK.o) $^ $(LDLIBS) -o $@

clean:
	$(RM) $(BINARY_NAME) $(OBJ) $(DEP)

install: $(BINARY_NAME)
	$(MKDIR) $(DESTDIR)$(SBINDIR)
	$(MKDIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL) -m 0755 $(BINARY_NAME) $(DESTDIR)$(SBINDIR)
	$(INSTALL) -m 0644 $(MANPAGE) $(DESTDIR)$(MANDIR)/man8

# load dependencies
DEP = $(OBJ:.o=.d)
-include $(DEP)

.PHONY: all clean install

=== debian/changelog ===
alfred (2025.4-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Sat, 25 Oct 2025 11:09:09 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,8 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export PKG_CONFIG ?= pkg-config
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-export DEB_CFLAGS_MAINT_APPEND = -fdata-sections -ffunction-sections -flto
-export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto abi=+lfs
+export DEB_CFLAGS_MAINT_APPEND = -fdata-sections -ffunction-sections
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--gc-sections
 
 MAKEOPTIONS = V="1" REVISION="debian-$(DEB_VERSION)" PREFIX="/usr"

## alfred 2025.5

=== debian/changelog ===
alfred (2025.5-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version
  * debian/watch:
    - Switch to version 5 format

 -- Sven Eckelmann <sven@narfation.org>  Sat, 20 Dec 2025 22:34:36 +0100

=== debian/watch ===
Version: 5
Source: https://downloads.open-mesh.org/batman/releases/batman-adv-@ANY_VERSION@/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
Pgpmode: auto
